# OpenSQLManager » \OpenSQLManager\Connection_Manager
Author: Mike van Riel

Widget for adding / Editing Connections

package | OpenSQLManager
subpackage | Widgets

### Methods

## Create the window

    __construct($parent, $params)

### Parameters

#### $parent

``

wxWindow

#### $params

``

mixed

## Adds a connection to the connection manager

    add_conn($event) : void

### Parameters

#### $event

``

wxCommandEvent

## Set defaults for new database type

    change_db($event) : void

### Parameters

#### $event

``

wxCommandEvent

## Test a db connection, and display a popup with the result

    test_conn() : void

## Layout fields on the form

    _layout($params)

### Parameters

#### $params

``

array

## Get the list of available database types

    get_available_dbs()

return array

## Get the values of the widgets in the window

    _get_vals() : object

### Returns

`object`

## Hides a list of elements

    _hide($ctrls)

### Parameters

#### $ctrls

``

array

## Shows a list of elements

    _show($ctrls)

### Parameters

#### $ctrls

``

array

### Properties

## Array of fields for Connection Information manipulation

    $fields : array

## Array of labels for Connection Information manipulation

    $labels : array

## Reference to the parent Control

    $parent : object

### Constants

## BTN_ADD

    BTN_ADD

## BTN_TEST

    BTN_TEST

## COMBO_DB_TYPE

    COMBO_DB_TYPE

## FILE_DB_FILE

    FILE_DB_FILE

## TXT_CONN_NAME

    TXT_CONN_NAME

## TXT_DB_HOST

    TXT_DB_HOST

## TXT_DB_NAME

    TXT_DB_NAME

## TXT_DB_PASS

    TXT_DB_PASS

## TXT_DB_PORT

    TXT_DB_PORT

## TXT_DB_USER

    TXT_DB_USER